ALTER OPERATOR CLASS()

NAME
ALTER OPERATOR CLASS - change the definition of an operator class

SYNOPSIS

ALTER OPERATOR CLASS name USING index_method RENAME TO newname
ALTER OPERATOR CLASS name USING index_method OWNER TO newowner

DESCRIPTION

ALTER OPERATOR CLASS changes the definition of an operator class.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing operator class.

index_method
    The name of the index method this operator class is for.

newname
    The new name of the operator class.

newowner
    The new owner of the operator class. You must be a superuser to change the owner of an operator class.

COMPATIBILITY

There is no ALTER OPERATOR CLASS statement in the SQL standard.

SEE ALSO
CREATE OPERATOR CLASS [create_operator_class(7)], DROP OPERATOR CLASS [drop_operator_class(l)]